const URL = "/one-api/mockup/purchase/manager/";

export async function search(payload) {
  try {
    var response = await axios.post(URL + "PurchaseRequestDirectApprovedNota/search", payload);
    if (response.status !== 200) {
      return {
        status: "ERR",
        message: response.statusText,
      };
    }

    let data = response.data;
    return data;
  } catch (e) {
    return {
      status: "ERR",
      message: e.message,
    };
  }
}
export async function getlevel(payload) {
  try {
    var response = await axios.post(URL + "PurchaseRequestDirectApprovedNota/getlevel", payload);
    if (response.status !== 200) {
      return {
        status: "ERR",
        message: response.statusText,
      };
    }

    let data = response.data;
    return data;
  } catch (e) {
    return {
      status: "ERR",
      message: e.message,
    };
  }
}
export async function searchDetail(payload) {
  try {
    var response = await axios.post(
      URL + "PurchaseRequestDirectApprovedNota/searchDetail",
      payload
    );
    if (response.status !== 200) {
      return {
        status: "ERR",
        message: response.statusText,
      };
    }

    let data = response.data;
    return data;
  } catch (e) {
    return {
      status: "ERR",
      message: e.message,
    };
  }
}

export async function deleteDetail(payload) {
  try {
    var response = await axios.post(
      URL + "PurchaseRequestDirectApprovedNota/deleteDetail",
      payload
    );
    if (response.status !== 200) {
      return {
        status: "ERR",
        message: response.statusText,
      };
    }

    let data = response.data;
    return data;
  } catch (e) {
    return {
      status: "ERR",
      message: e.message,
    };
  }
}

export async function approveRequestNota(payload) {
  try {
    var response = await axios.post(
      URL + "PurchaseRequestDirectApprovedNota/approveRequestNota",
      payload
    );
    if (response.status !== 200) {
      return {
        status: "ERR",
        message: response.statusText,
      };
    }

    let data = response.data;
    return data;
  } catch (e) {
    return {
      status: "ERR",
      message: e.message,
    };
  }
}

export async function rejectRequest(payload) {
  try {
    var response = await axios.post(
      URL + "PurchaseRequestDirectApprovedNota/rejectRequest",
      payload
    );
    if (response.status !== 200) {
      return {
        status: "ERR",
        message: response.statusText,
      };
    }

    let data = response.data;
    return data;
  } catch (e) {
    return {
      status: "ERR",
      message: e.message,
    };
  }
}

export async function updateDetail(payload) {
  try {
    var response = await axios.post(
      URL + "PurchaseRequestDirectApprovedNota/updateDetail",
      payload
    );
    if (response.status !== 200) {
      return {
        status: "ERR",
        message: response.statusText,
      };
    }

    let data = response.data;
    return data;
  } catch (e) {
    return {
      status: "ERR",
      message: e.message,
    };
  }
}
